<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="UTF-8"/>

	<xsl:template match="alert">
				<xsl:apply-templates select="tsmavailable"/>
				<xsl:apply-templates select="db"/>
				<xsl:apply-templates select="log"/>
				<xsl:apply-templates select="drivenotonline"/>
				<xsl:apply-templates select="pathnotonline"/>
				<xsl:apply-templates select="volumeerror"/>
				<xsl:apply-templates select="numsession"/>
				<xsl:apply-templates select="numscratch"/>
				<xsl:apply-templates select="request"/>
				<xsl:apply-templates select="actlog"/>
				<xsl:apply-templates select="tsmevent"/>
				<xsl:apply-templates select="extevent"/>
				<xsl:apply-templates select="approve"/>
	</xsl:template>
	
	<xsl:template match="tsmavailable">
		<xsl:value-of select="message"/>
	</xsl:template>

	<xsl:template match="db">
		<xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:choose><xsl:when test="status='1'">Error</xsl:when><xsl:otherwise>OK</xsl:otherwise></xsl:choose>
		<xsl:text>&#xA;</xsl:text>Usage: <xsl:value-of select="pct_db"/>
		<xsl:text>&#xA;</xsl:text>Free: <xsl:value-of select="free_mb"/>
	</xsl:template>

	<xsl:template match="log">
		<xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:choose><xsl:when test="status='1'">Error</xsl:when><xsl:otherwise>OK</xsl:otherwise></xsl:choose>
		<xsl:text>&#xA;</xsl:text>Usage: <xsl:value-of select="pct_log"/>
	</xsl:template>

	<xsl:template match="drivenotonline">
		<xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:choose><xsl:when test="status='1'">Error</xsl:when><xsl:otherwise>OK</xsl:otherwise></xsl:choose>
		<xsl:text>&#xA;</xsl:text>Library: <xsl:value-of select="library_name"/>
		<xsl:text>&#xA;</xsl:text>Drive: <xsl:value-of select="drive_name"/>
		<xsl:text>&#xA;</xsl:text>Type: <xsl:value-of select="device_type"/>
		<xsl:text>&#xA;</xsl:text>Online: <xsl:value-of select="online"/>
	</xsl:template>


	<xsl:template match="pathnotonline">
		<xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:choose><xsl:when test="status='1'">Error</xsl:when><xsl:otherwise>OK</xsl:otherwise></xsl:choose>
		<xsl:text>&#xA;</xsl:text>Source name: <xsl:value-of select="source_name"/>
		<xsl:text>&#xA;</xsl:text>Source type: <xsl:value-of select="source_type"/>
		<xsl:text>&#xA;</xsl:text>Dest.name: <xsl:value-of select="destination_name"/>
		<xsl:text>&#xA;</xsl:text>Dest.type: <xsl:value-of select="destination_type"/>
		<xsl:text>&#xA;</xsl:text>Device: <xsl:value-of select="device"/>
		<xsl:text>&#xA;</xsl:text>Online: <xsl:value-of select="online"/>
	</xsl:template>
	

	<xsl:template match="volumeerror">
		<xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:choose><xsl:when test="status='1'">Error</xsl:when><xsl:otherwise>OK</xsl:otherwise></xsl:choose>
		<xsl:text>&#xA;</xsl:text>Volume: <xsl:value-of select="volume_name"/>
		<xsl:text>&#xA;</xsl:text>Pool: <xsl:value-of select="stgpool_name"/>
		<xsl:text>&#xA;</xsl:text>Read errors: <xsl:value-of select="read_errors"/>
		<xsl:text>&#xA;</xsl:text>Write errors: <xsl:value-of select="write_errors"/>
	</xsl:template>


	<xsl:template match="numsession">
		<xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:choose><xsl:when test="status='1'">Error</xsl:when><xsl:otherwise>OK</xsl:otherwise></xsl:choose>
	</xsl:template>	
	
	<xsl:template match="numscratch">
		<xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:choose><xsl:when test="status='1'">Error</xsl:when><xsl:otherwise>OK</xsl:otherwise></xsl:choose>
	</xsl:template>	

	<xsl:template match="request">
		<xsl:text>&#xA;</xsl:text>Request: <xsl:value-of select="req/request_message"/>
	</xsl:template>

	<xsl:template match="actlog">
		<xsl:text>&#xA;</xsl:text><xsl:value-of select="message/message"/>
	</xsl:template>

	<xsl:template match="tsmevent">
		<xsl:text>&#xA;</xsl:text>Message: <xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Node: <xsl:value-of select="node_name"/>
		<xsl:text>&#xA;</xsl:text>Schedule: <xsl:value-of select="schedule_name"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:value-of select="status"/>
	</xsl:template>

	<xsl:template match="extevent">
		<xsl:text>&#xA;</xsl:text>Message: <xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Node: <xsl:value-of select="node_name"/>
		<xsl:text>&#xA;</xsl:text>Address: <xsl:value-of select="address"/>
		<xsl:text>&#xA;</xsl:text>Status: <xsl:value-of select="status"/>
	</xsl:template>

	<xsl:template match="approve">
		<xsl:text>&#xA;</xsl:text>Message: <xsl:value-of select="message"/>
		<xsl:text>&#xA;</xsl:text>Admin: <xsl:value-of select="admin"/>
		<xsl:text>&#xA;</xsl:text>Command: <xsl:value-of select="command"/>
	</xsl:template>


</xsl:stylesheet>
