<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" encoding="UTF-8"/>

    <xsl:template match="report">
        <html>
            <head>
                <title>
                    <xsl:value-of select="application"/>
                </title>
                <style>
                    body{
                    font-family:arial, verdana, sans-serif;
                    color:#000066;
                    }
                </style>
                <style>
                    @page {
                    margin: 4pt 4pt;
                    size: A4 landscape;
                    }
                </style>
                <style>
                    .header{
                    padding:0;
                    border:1px solid #666666;
                    text-align:left;
                    background-color:#ACBDD0;
                    font-weight:bold;
                    white-space:nowrap;
                    }
                </style>

                <style>
                    .separator{
                    background-color:#ACBDD0;
                    height:3px;
                    }
                </style>

                <style>
                    .mainTable{
                    border:0px;
                    width:100%;
                    font-size:6pt;
                    }
                </style>
                <style>
                    .headerTab{
                    text-align:left;
                    background-color:#ACBDD0;
                    font-weight:bold;
                    font-size:6pt;
                    }
                </style>
                <style>
                    .headerRow{
                    font-weight:bold;
                    background-color:#f6ffd5;
                    font-size:6pt;
                    white-space:nowrap;
                    }
                </style>

                <style>
                    .headerOK{
                    font-weight:bold;
                    background-color:#f6ffd5;
                    color:#006400;
                    }
                </style>

                <style>
                    .row{
                    background-color:#f1f1f1;
                    font-size:6pt;
                    }
                </style>

                <style>
                    .row_red{
                    background-color:#FF7E79;
                    font-size:75%;
                    }
                </style>

                <style>
                    row_yellow{
                    background-color:#F0F0B4;
                    font-size:75%;
                    }
                </style>

                <style>
                    td{
                    padding:2px;
                    text-align:left;
                    }
                </style>

                <style>
                    .cssbr{
                    font-size: 2pt;
                    margin:0 0;
                    width:100%;
                    }
                </style>


                <style>
                    .error{
                    background-color:#FF7E79;
                    color:white;
                    }
                </style>

                <style>
                    .progress{
                    background-color:#1094D9;
                    color:white;
                    }
                </style>

                <style>
                    .started{
                    background-color:#1094D9;
                    color:white;
                    }
                </style>

                <style>
                    .running{
                    background-color:#1094D9;
                    color:white;
                    }
                </style>

                <style>
                    .warning{
                    background-color:#E9D799;
                    }
                </style>

                <style>
                    .warning2{
                    background-color:#F6EFD6;
                    }
                </style>


                <style>
                    .completed{
                    background-color:#9DFAAC;
                    }
                </style>

                <style>
                    .hr{
                    height:1px;
                    color:#666666;
                    }
                </style>

                <style>
                    .square_yellow{
                    border:0px;
                    background-color:#E9D799;
                    }
                </style>
                <style>
                    .square_red{
                    border:0px;
                    background-color:#FF7E79;
                    }
                </style>
                <style>
                    .square_green{
                    border:0px;
                    background-color:#9DFAAC;
                    }
                </style>
                <style>
                    .square_blue{
                    border:0px;
                    background-color:#1094D9;
                    }
                </style>
            </head>
            <body>
                <div style="font-size: 6pt; white-space: nowrap; width:100%;">&#160;Report:&#160;<xsl:value-of
                        select="report_name"/>&#160;&#160;&#160;Date:&#160;<xsl:value-of select="create_date"/>
                </div>

                <xsl:apply-templates select="connection_error"/>
                <xsl:apply-templates select="info"/>

                <xsl:apply-templates select="item_report"/>
<!--                    <xsl:sort select="@id_order"/>-->
<!--                </xsl:apply-templates>-->

                <div class="cssbr">&#160;</div>
                <table style="width:100%;">
                    <tr>
                        <td style="margin:0; padding:0; border:0px; text-align:center; font-size: 6pt;">
                            Hostname:&#160;<xsl:value-of
                                select="hostname"/>&#160;&#160;&#160;Address:&#160;<xsl:value-of
                                select="address"/>&#160;&#160;&#160;Version:&#160;<xsl:value-of select="version"/>&#160;&#160;&#160;Platform:&#160;<xsl:value-of
                                select="platform"/>
                        </td>
                    </tr>
                </table>


            </body>
        </html>
    </xsl:template>

    <xsl:template match="connection_error">
        <div class="header">
            <xsl:value-of select="."/>
        </div>
    </xsl:template>

    <xsl:template match="info">
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="6">General info</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Name</td>
                <td>Host</td>
                <td style="text-align: center;">Version</td>
                <td style="text-align: center;">Platform</td>
                <td>Availibilty Sessions</td>
            </tr>
            <xsl:apply-templates select="info_row"/>
        </table>
    </xsl:template>

    <xsl:template match="info_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="tsm_name"/>
            </td>
            <td>
                <xsl:value-of select="host"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="version"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="platform"/>
            </td>
            <td>
                <xsl:value-of select="sesstatus"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="db">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="5">Database&#160;/&#160;Logs</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td style="text-align: right;">DB Usage / Free Space on FS</td>
                <td style="text-align: center;">Last DB Backup</td>
                <td style="text-align: right;">Archive Log Usage-Size / Free Space on FS</td>
                <td style="text-align: right;">Active Log Usage-Size / Free Space on FS</td>
            </tr>
            <xsl:apply-templates select="db_row"/>
        </table>
    </xsl:template>

    <xsl:template match="db_row">
        <tr class="row">
            <tr class="row">
                <td>
                    <xsl:value-of select="server_name"/>
                </td>
                <td style="text-align: right;">
                    <xsl:if test="db_alert='true'">
                        <xsl:attribute name="class">error</xsl:attribute>
                    </xsl:if>
                    <xsl:value-of select="pct_db"/> % - <xsl:value-of select="used_mb"/> / <xsl:value-of select="free_mb"/>
                </td>
                <td style="text-align: center;">
                    <xsl:value-of select="last_backup_date"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="arch_pct_log"/> % - <xsl:value-of select="arch_used_log"/> / <xsl:value-of select="arch_free_mb"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="active_pct_log"/> % - <xsl:value-of select="total_space_mb"/> / <xsl:value-of select="active_free_fs_mb"/>
                </td>
            </tr>
        </tr>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="volhistory">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="7">Volume History for the last
                    <xsl:value-of select="lasthour"/>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Date/Time</td>
                <td>Volume Type</td>
                <td>Device Class</td>
                <td>Volume Name</td>
                <td>Volume Location</td>
                <td>Command</td>
            </tr>
            <xsl:apply-templates select="volhistory_row"/>
        </table>
    </xsl:template>

    <xsl:template match="volhistory_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="date_time"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td>
                <xsl:value-of select="devclass"/>
            </td>
            <td>
                <xsl:value-of select="volume_name"/>
            </td>
            <td>
                <xsl:value-of select="location"/>
            </td>
            <td>
                <xsl:value-of select="command"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="client_schedules">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="10">The Client Schedules&#160;<xsl:value-of select="mess"/>
                </td>
            </tr>
            <tr class="row">
                <td colspan="10">
                    <table style="border-style: none;">
                        <tr class="row" style="border-style: none; font-weight:bold;">
                            <td style="border-style: none; padding-right: 15px;"><span class="square_red">&#160;&#160;&#160;</span>&#160;Failed:&#160;<xsl:value-of select="failed"/>
                            </td>
                            <td style="border-style: none; padding-right: 15px;"><span class="square_yellow">&#160;&#160;&#160;</span>&#160;Missed:&#160;<xsl:value-of select="missed"/>
                            </td>
                            <td style="border-style: none; padding-right: 15px;"><span class="square_green">&#160;&#160;&#160;</span>&#160;Completed:&#160;<xsl:value-of select="completed"/>
                            </td>
                            <td style="border-style: none; padding-right: 15px;"><span class="square_blue">&#160;&#160;&#160;</span>&#160;In
                                Progress:&#160;<xsl:value-of select="started"/>
                            </td>
                            <td style="border-style: none; padding-right: 15px;">Summary:<xsl:value-of select="sum"/>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Node</td>
                <td>Schedule</td>
                <td nowrap="nowrap">TCP Name/Address</td>
                <td style="text-align: center;">Version</td>
                <td style="text-align: center;">Platform</td>
                <td nowrap="nowrap" style="text-align: center;">Scheduled Start</td>
                <td style="text-align: center;" nowrap="nowrap" width="90">Started/Completed</td>
                <td style="text-align: center;" nowrap="nowrap" width="50">Elapsed Time</td>
                <td style="text-align: center;">Last Result</td>
                <td style="text-align: center;" NOWRAP="">Next Start</td>
            </tr>
            <xsl:apply-templates select="client_schedules_row"/>
        </table>
    </xsl:template>
    <xsl:template match="client_schedules_row">
        <xsl:if test="newdomain='true'">
            <tr class="headerTab">
                <td colspan="10" style="color:#FFFFFF;">
                    <xsl:value-of select="domain_name"/>-
                    <xsl:value-of select="server_name"/>
                </td>
            </tr>
        </xsl:if>
        <!--        style="font-size: 7pt;"-->
        <tr class="row">
            <td nowrap="nowrap">
                <xsl:value-of select="node_name"/>
            </td>
<!--            <td style="text-align: right;" NOWRAP="">-->
<!--                <xsl:value-of select="occ"/>-->
<!--            </td>-->
            <td nowrap="nowrap">
                <xsl:value-of select="schedule_name"/>
            </td>
            <td nowrap="nowrap">
                <div>
                    <xsl:value-of select="tcp_name"/>
                </div>
                <div>
                    <xsl:value-of select="tcp_address"/>
                </div>
            </td>
            <td nowrap="nowrap" style="text-align: center;">
                <xsl:value-of select="client_version"/>
            </td>
            <td nowrap="nowrap" style="text-align: center;">
                <xsl:value-of select="platform"/>
            </td>

            <td nowrap="nowrap" style="text-align: center;">
                <xsl:value-of select="scheduled_start"/>
            </td>

            <td nowrap="nowrap" style="text-align: center;">
                <div>
                    <xsl:value-of select="actual_start"/>
                </div>
                <div>
                    <xsl:value-of select="completed"/>
                </div>
            </td>

            <td nowrap="nowrap" style="text-align: center;">
                <xsl:value-of select="elapsed_time"/>
            </td>

            <td nowrap="nowrap" style="text-align: center;">
                <xsl:if test="status='failed'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
<!--                <xsl:if test="status='started'">-->
<!--                    <xsl:attribute name="class">started</xsl:attribute>-->
<!--                </xsl:if>-->
                <xsl:if test="status='in progress'">
                    <xsl:attribute name="class">progress</xsl:attribute>
                </xsl:if>
<!--                <xsl:if test="status='running'">-->
<!--                    <xsl:attribute name="class">running</xsl:attribute>-->
<!--                </xsl:if>-->
                <xsl:if test="status='missed'">
                    <xsl:attribute name="class">warning</xsl:attribute>
                </xsl:if>
                <xsl:if test="status='completed'">
                    <xsl:attribute name="class">completed</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="status"/>
                <div class="completed">
                    <xsl:if test="code_result='failed'">
                        <xsl:attribute name="class">error</xsl:attribute>
                    </xsl:if>
                    <xsl:if test="code_result='warning'">
                        <xsl:attribute name="class">warning2</xsl:attribute>
                    </xsl:if>
                    <xsl:value-of select="result"/>
                </div>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="future_schedule"/>
            </td>
        </tr>
        <tr class="row">
            <td colspan="10">History (max&#160;<xsl:value-of select="../historydays"/> last events):&#160;&#160;<xsl:apply-templates select="history/event"/></td>
        </tr>
        <tr style="background-color: #D8D8D8;">
            <td colspan="10"/>
        </tr>
    </xsl:template>

    <xsl:template match="history/event">
        <span class="square_green" title="{@date}">
            <xsl:if test=".='failed'">
                <xsl:attribute name="class">square_red</xsl:attribute>
            </xsl:if>
            <xsl:if test=".='started'">
                <xsl:attribute name="class">square_blue</xsl:attribute>
            </xsl:if>
            <xsl:if test=".='missed'">
                <xsl:attribute name="class">square_yellow</xsl:attribute>
            </xsl:if>&#160;&#160;&#160;
        </span>
        <span>&#160;</span>
    </xsl:template>

    <xsl:template match="admin_schedules">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="8">The Administrative Schedules</td>
            </tr>
            <tr class="row">
                <td colspan="8">
                    <table style="border-style: none;">
                        <tr class="row" style="border-style: none; font-weight:bold;">
                            <td style="border-style: none; padding-right: 15px;"><span class="square_red">&#160;&#160;&#160;</span>&#160;Failed</td>
                            <td style="border-style: none; padding-right: 15px;"><span class="square_yellow">&#160;&#160;&#160;</span>&#160;Missed</td>
                            <td style="border-style: none; padding-right: 15px;"><span class="square_green">&#160;&#160;&#160;</span>&#160;Completed</td>
                            <td style="border-style: none; padding-right: 15px;"><span class="square_blue">&#160;&#160;&#160;</span>&#160;In Progress</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Schedule</td>
                <td style="text-align: center;" NOWRAP="">Scheduled Start</td>
                <td style="text-align: center;" NOWRAP="">Started/Completed</td>
                <td style="text-align: center;" NOWRAP="">Elapsed Time</td>
                <td style="text-align: center;">Last Result</td>
                <td style="text-align: center;" NOWRAP="">Next Start</td>
                <td>History (max&#160;<xsl:value-of select="historydays"/> last events)
                </td>
            </tr>
            <xsl:apply-templates select="admin_schedules_row"/>
        </table>
    </xsl:template>

    <xsl:template match="admin_schedules_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="8"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="schedule_name"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="scheduled_start"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <div>
                    <xsl:value-of select="actual_start"/>
                </div>
                <div>
                    <xsl:value-of select="completed"/>
                </div>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="elapsed_time"/>
            </td>
            <td style="text-align: center;">
                <xsl:if test="status='failed'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:if test="status='missed'">
                    <xsl:attribute name="class">warning</xsl:attribute>
                </xsl:if>
                <xsl:if test="status='completed'">
                    <xsl:attribute name="class">completed</xsl:attribute>
                </xsl:if>
<!--                <xsl:if test="status='started'">-->
<!--                    <xsl:attribute name="class">progress</xsl:attribute>-->
<!--                </xsl:if>-->
                <xsl:if test="status='in progress'">
                    <xsl:attribute name="class">progress</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="status"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="future_schedule"/>
            </td>
            <td>
                <xsl:apply-templates select="history/event"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="failed_nasbackup">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="4">Failed NAS backup for the last
                    <xsl:value-of select="lasthour"/>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Entity</td>
                <td>Start time</td>
                <td>End time</td>
            </tr>
            <xsl:apply-templates select="failed_nasbackup_row"/>
        </table>
    </xsl:template>
    <xsl:template match="failed_nasbackup_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="entity"/>
            </td>
            <td>
                <xsl:value-of select="start_time"/>
            </td>
            <td>
                <xsl:value-of select="end_time"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="serveragents">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="3">The Servers/Storage Agents are not active</td>
            </tr>
            <tr class="headerRow">
                <td>Server/storage agent</td>
                <td>Address</td>
                <td>Last access</td>
            </tr>
            <xsl:apply-templates select="serveragents_row"/>
        </table>
    </xsl:template>
    <xsl:template match="serveragents_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="address"/>
            </td>
            <td>
                <xsl:value-of select="lastacc_time"/>
            </td>
        </tr>
    </xsl:template>


    <!--===========================================================================-->

    <xsl:template match="drivenotonline">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="4">Drives not online</td>
            </tr>
            <xsl:choose>
                <xsl:when test="drivenotonline_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Library name</td>
                        <td>Drive name</td>
                        <td>Device type</td>
                    </tr>
                    <xsl:apply-templates select="drivenotonline_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="4">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>

    <xsl:template match="drivenotonline_row">
        <tr class="row_red">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="library_name"/>&#160;(&#160;<xsl:value-of select="num_drives"/>&#160;drives&#160;)
            </td>
            <td>
                <xsl:value-of select="drive_name"/>
            </td>
            <td>
                <xsl:value-of select="device_type"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="pathnotonline">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="6">Paths not online</td>
            </tr>
            <xsl:choose>
                <xsl:when test="pathnotonline_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Source name</td>
                        <td>Source type</td>
                        <td>Destination name</td>
                        <td>Destination type</td>
                        <td>Device</td>
                    </tr>
                    <xsl:apply-templates select="pathnotonline_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="6">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>

    <xsl:template match="pathnotonline_row">
        <tr class="row_red">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="source_name"/>
            </td>
            <td>
                <xsl:value-of select="source_type"/>
            </td>
            <td>
                <xsl:value-of select="destination_name"/>
            </td>
            <td>
                <xsl:value-of select="destination_type"/>
            </td>
            <td>
                <xsl:value-of select="device"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="virtualactivity">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="11">Virtual Client Activity&#160;-&#160;<xsl:value-of select="mess"/></td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Domain</td>
                <td>Node</td>
                <td width="100">Name</td>
                <td>Activity</td>
                <td>Schedule</td>
                <td>Type</td>
                <td nowrap="nowrap" width="90" style="text-align: right;">Amount</td>
                <td style="text-align: center;" nowrap="nowrap" width="100">Started/Completed</td>
                <td style="text-align: center;" nowrap="nowrap" width="60">Elapsed Time</td>
                <td style="text-align: center;">Result</td>
            </tr>
            <xsl:apply-templates select="virtualactivity_row"/>
            <tr class="headerRow">
                <td>Total:</td>
                <td/>
                <td/>
                <td>
                    <xsl:value-of select="number"/>
                </td>
                <td/>
                <td/>
                <td/>
                <td nowrap="nowrap" style="text-align: right;">
                    <div>Backup:<xsl:value-of select="sum_backup"/>
                    </div>
                    <div>Restore:<xsl:value-of select="sum_restore"/>
                    </div>
                </td>
                <td/>
                <td/>
                <td/>
            </tr>
        </table>
    </xsl:template>

    <xsl:template match="virtualactivity_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="11"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="domain_name"/>
            </td>
            <td>
                <xsl:value-of select="node_name"/>
            </td>
            <td>
                <xsl:if test="successful_vm='false'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="sub_entity"/>
            </td>
            <td>
                <xsl:value-of select="activity"/>
            </td>
            <td>
                <xsl:value-of select="schedule"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td nowrap="nowrap" style="text-align: right;">
                <xsl:value-of select="bytes"/>
            </td>
            <td nowrap="nowrap" style="text-align: center;">
                <div>
                    <xsl:value-of select="start_vm"/>
                </div>
                <div>
                    <xsl:value-of select="end_vm"/>
                </div>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="elapsed_time"/>
            </td>
            <td class="completed" style="text-align: center;">
                <xsl:if test="successful_vm='false'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="result"/>
            </td>
        </tr>
        <tr class="row">
            <td colspan="11">History (max&#160;<xsl:value-of select="../historydays"/> last events):&#160;&#160;<xsl:apply-templates
                    select="virthistory/event"/>
            </td>
        </tr>
        <tr style="background-color: #D8D8D8;">
            <td colspan="11"/>
        </tr>
    </xsl:template>

    <xsl:template match="virthistory/event">
        <span class="square_green" title="{@date}">
            <xsl:if test=".!='yes'">
                <xsl:attribute name="class">square_red</xsl:attribute>
            </xsl:if>&#160;&#160;&#160;
        </span>
        <span>&#160;</span>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="replication">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="7">Replicated Nodes for the last
                    <xsl:value-of select="lasthour"/>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Node</td>
                <td>Domain</td>
                <td style="text-align: center;">TCP Name/Address</td>
                <td style="text-align: center;">Platform</td>
                <td style="text-align: right;">Files</td>
                <td style="text-align: right;">Replicated</td>
            </tr>
            <xsl:apply-templates select="replication_row"/>
            <tr class="headerRow">
                <td>Total:</td>
                <td>
                    <xsl:value-of select="countnode"/>
                </td>
                <td/>
                <td/>
                <td/>
                <td style="text-align: right;">
                    <xsl:value-of select="sumfiles"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="sumbytes"/>
                </td>
            </tr>
        </table>
    </xsl:template>

    <xsl:template match="replication_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="node_name"/>
            </td>
            <td>
                <xsl:value-of select="domain_name"/>
            </td>
            <td style="text-align: center;">
                <div>
                    <xsl:value-of select="tcp_name"/>
                </div>
                <div>
                    <xsl:value-of select="tcp_address"/>
                </div>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="platform_name"/>
            </td>
            <td style="text-align: right;" NOWRAP="">
                <xsl:value-of select="files"/>
            </td>
            <td style="text-align: right;" NOWRAP="">
                <xsl:value-of select="bytes"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="clientactivity">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="12">Client activity for the last
                    <xsl:value-of select="lasthour"/>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Domain</td>
                <td>Node</td>
<!--                <td style="text-align: right;">Occupancy</td>-->
                <td>Platform</td>
                <td>TCP Name</td>
                <td>TCP Address</td>
                <td>Activity</td>
                <td style="text-align: right;">Data amount</td>
                <td style="text-align: right;">Speed&#160;Mb/s</td>
                <td style="text-align: right;">Failed</td>
                <td style="text-align: center;">Elapsed Time</td>
                <td style="text-align: center;">Media wait</td>
            </tr>
            <xsl:apply-templates select="clientactivity_row"/>
            <tr class="headerRow">
                <td>Total:</td>
                <td/>
                <td>
                    <xsl:value-of select="countnode"/>
                </td>
<!--                <td/>-->
                <td/>
                <td/>
                <td/>
                <td/>
                <td nowrap="nowrap" style="text-align: right;" width="100">
                    <div>Backup/Archive:&#160;<xsl:value-of select="sumbytes_backup"/>
                    </div>
                    <div>Restore/Retrieve:&#160;<xsl:value-of select="sumbytes_restore"/>
                    </div>
                </td>
                <td/>
                <td style="text-align: right;">
                    <xsl:value-of select="sumfailed"/>
                </td>
                <td/>
                <td style="text-align: center;">
                    <xsl:value-of select="summediaw"/>
                </td>
            </tr>
        </table>
    </xsl:template>

    <xsl:template match="clientactivity_row">
        <tr class="row">
            <td NOWRAP="nowrap">
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="domain"/>
            </td>
            <td>
                <xsl:value-of select="node"/>
            </td>
<!--            <td style="text-align: right;" NOWRAP="">-->
<!--                <xsl:value-of select="occ"/>-->
<!--            </td>-->
            <td style="white-space:nowrap;">
                <xsl:value-of select="platform"/>
            </td>
            <td style="white-space:nowrap;">
                <xsl:value-of select="tcp_name"/>
            </td>
            <td>
                <xsl:value-of select="address"/>
            </td>
            <td>
                <xsl:value-of select="activity"/>
            </td>
            <td style="white-space:nowrap; text-align: right;">
                <xsl:value-of select="sumbytes"/>
            </td>
            <td style="white-space:nowrap;text-align: right;">
                <xsl:value-of select="speed"/>
            </td>
            <td style="text-align: right;" nowrap="nowrap">
                <xsl:value-of select="sumfailed"/>
            </td>
            <td style="text-align: center;" nowrap="nowrap">
                <xsl:value-of select="sumtime"/>
            </td>
            <td style="text-align: center;" nowrap="nowrap">
                <xsl:value-of select="summediaw"/>
            </td>
        </tr>
    </xsl:template>

    <!--    ======occ=======-->

    <xsl:template match="occupancy">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="7">Occupancy</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Domain</td>
                <td>Node</td>
                <td style="text-align: center;">TCP Name/Address</td>
                <td style="text-align: right;">Occupancy</td>
                <td style="text-align: center;">Version</td>
                <td style="text-align: center;">Platform</td>
            </tr>
            <xsl:apply-templates select="occupancy_row"/>
            <tr class="headerRow">
                <td>Total:</td>
                <td/>
                <td><xsl:value-of select="countnode"/></td>
                <td/>
                <td/>
                <td/>
                <td/>
            </tr>
        </table>
    </xsl:template>

    <xsl:template match="occupancy_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="8"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td NOWRAP="">
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="domain"/>
            </td>
            <td>
                <xsl:value-of select="node"/>
            </td>
            <td style="text-align: center;">
                <div>
                    <xsl:value-of select="tcp_name"/>
                </div>
                <div>
                    <xsl:value-of select="address"/>
                </div>
            </td>
            <td style="text-align: right;" NOWRAP="">
                <xsl:value-of select="occ"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="client_version"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="platform"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="storagepools">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="9">Storage pools</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Storage pool</td>
                <td>Storage Type</td>
                <td>Pool Type</td>
                <td>Device Class</td>
                <td style="text-align: right;">Capacity</td>
                <td style="text-align: right;">Utilization</td>
                <td style="text-align: center;">Volume in Use</td>
                <td style="text-align: center;">Total</td>
            </tr>
            <xsl:apply-templates select="storagepools_row"/>
        </table>
    </xsl:template>

    <xsl:template match="storagepools_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool"/>
            </td>
            <td>
                <xsl:value-of select="stg_type"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td>
                <xsl:value-of select="deviceclass"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="capacity"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="pct_util"/>%
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="numused"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="maxscratch"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="storagepoolscont">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="9">Directory Storage Pools</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Storage pool</td>
                <td>Storage Type</td>
                <td>Pool Type</td>
                <td style="text-align: right;">Capacity</td>
                <td style="text-align: right;">Utilization</td>
                <td style="text-align: right;">Compresion.Savings</td>
                <td style="text-align: right;">Dedup.Savings</td>
                <td style="text-align: right;">Total Savings</td>
            </tr>
            <xsl:apply-templates select="storagepoolscont_row"/>
        </table>
    </xsl:template>

    <xsl:template match="storagepoolscont_row">
        <xsl:if test="separator ='true'">
            <tr>
                <td COLSPAN="9"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool"/>
            </td>
            <td>
                <xsl:value-of select="stg_type"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="capacity"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="pct_util"/>%
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="compression"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="deduplication"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="saved"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="storagepoolscloud">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="9">Cloud Storage Pools</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Storage pool</td>
                <td>Storage Type</td>
                <td>Pool Type</td>
                <td style="text-align: right;">Capacity</td>
                <td style="text-align: right;">Utilization</td>
                <td style="text-align: right;">Compression</td>
                <td style="text-align: right;">Deduplication</td>
                <td style="text-align: right;">Space Saved</td>
            </tr>
            <xsl:apply-templates select="storagepoolscloud_row"/>
        </table>
    </xsl:template>

    <xsl:template match="storagepoolscloud_row">
        <xsl:if test="separator ='true'">
            <tr>
                <td COLSPAN="9"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool"/>
            </td>
            <td>
                <xsl:value-of select="stg_type"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="capacity"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="pct_util"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="compression"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="deduplication"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="saved"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="libvolstatus">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="5">Library Volumes</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Library</td>
                <td style="text-align: right;">Private</td>
                <td style="text-align: right;">Scratch</td>
                <td style="text-align: right;">Total</td>
            </tr>
            <xsl:apply-templates select="libvolstatus_row"/>
        </table>
    </xsl:template>

    <xsl:template match="libvolstatus_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="library_name"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="private"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="scratch"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="total"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="volumeerror">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="11">Volume Read/Write Errors</td>
            </tr>
            <xsl:choose>
                <xsl:when test="volume_err !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Storage pool name</td>
                        <td>Volume name</td>
                        <td>Read errors</td>
                        <td>Write errors</td>
                        <td>Error state</td>
                        <td>Access</td>
                        <td>Status</td>
                        <td>Location</td>
                        <td>Last write</td>
                        <td>Last read</td>
                    </tr>
                    <xsl:apply-templates select="volumeerror_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="11">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>

    <xsl:template match="volumeerror_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool_name"/>
            </td>
            <td>
                <xsl:value-of select="volume_name"/>
            </td>
            <td>
                <xsl:value-of select="read_errors"/>
            </td>
            <td>
                <xsl:value-of select="write_errors"/>
            </td>
            <td>
                <xsl:value-of select="error_state"/>
            </td>
            <td>
                <xsl:value-of select="access"/>
            </td>
            <td>
                <xsl:value-of select="status"/>
            </td>
            <td>
                <xsl:value-of select="location"/>
            </td>
            <td>
                <xsl:value-of select="last_write_date"/>
            </td>
            <td>
                <xsl:value-of select="last_read_date"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="drmedia">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="8">DRMedia</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Volume</td>
                <td>State</td>
                <td>Volume Type</td>
                <td>Library Name</td>
                <td>Storage Pool</td>
                <td>Location</td>
                <td>Last update</td>
            </tr>
            <xsl:apply-templates select="drmedia_row"/>
        </table>
    </xsl:template>

    <xsl:template match="drmedia_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="volume_name"/>
            </td>
            <td>
                <xsl:value-of select="state"/>
            </td>
            <td>
                <xsl:value-of select="voltype"/>
            </td>
            <td>
                <xsl:value-of select="lib_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool_name"/>
            </td>
            <td>
                <xsl:value-of select="location"/>
            </td>
            <td>
                <xsl:value-of select="upd_date"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="unavailablevolumes">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="5">Unavailable and Read-Only Volumes</td>
            </tr>
            <xsl:choose>
                <xsl:when test="unavailablevolumes_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <xsl:if test="access='UNAVAILABLE'">
                            <xsl:attribute name="class">row_red</xsl:attribute>
                        </xsl:if>

                        <xsl:if test="access='READONLY'">
                            <xsl:attribute name="class">row_yellow</xsl:attribute>
                        </xsl:if>
                        <td>Device class</td>
                        <td>Storage pool name</td>
                        <td>Volume name</td>
                        <td>Access</td>
                    </tr>
                    <xsl:apply-templates select="unavailablevolumes_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="5">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>

    <xsl:template match="unavailablevolumes_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <xsl:if test="access='UNAVAILABLE'">
                <xsl:attribute name="class">error</xsl:attribute>
            </xsl:if>

            <xsl:if test="access='READONLY'">
                <xsl:attribute name="class">warning</xsl:attribute>
            </xsl:if>
            <td>
                <xsl:value-of select="devclass_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool_name"/>
            </td>
            <td>
                <xsl:value-of select="volume_name"/>
            </td>
            <td>
                <xsl:value-of select="access"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="actlog">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="6">Activity Log for the last
                    <xsl:value-of select="lasthour"/> ( originator =
                    <xsl:value-of select="originator"/> )
                </td>
            </tr>
            <xsl:if test="attention !=''">
                <tr class="headerTab">
                    <td colspan="6">
                        <xsl:value-of select="attention"/>
                    </td>
                </tr>
            </xsl:if>
            <tr class="headerRow">
                <td>&#160;Server&#160;</td>
                <td style="text-align: center;">&#160;Date&#160;</td>
                <td style="text-align: center;">&#160;Type&#160;</td>
                <td>Domain</td>
                <td>Node</td>
                <td>Message</td>
            </tr>
            <xsl:apply-templates select="actlog_row"/>
        </table>
    </xsl:template>

    <xsl:template match="actlog_row">
        <xsl:if test="separator='true'">
            <tr class="separator">
                <td COLSPAN="6"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td NOWRAP="">
                <xsl:value-of select="server_name"/>
            </td>

            <td NOWRAP="">
                <xsl:value-of select="date"/>
            </td>

            <td>
                <xsl:if test="originator='SERVER'">
                    <xsl:attribute name="style">font-weight: bold;</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="originator"/>
            </td>

            <td NOWRAP="">
                <xsl:value-of select="domain"/>
            </td>

            <td NOWRAP="">
                <xsl:value-of select="node"/>
            </td>

            <td style="word-break: break-all;">
                <xsl:if test="severity='E'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:if test="severity='W' or severity='S'">
                    <xsl:attribute name="class">warning</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="message"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="serverutilization">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="7">Server Capacity</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td style="text-align: right;">Primary Pools</td>
                <td style="text-align: right;">Back-end License</td>
                <td style="text-align: right;">Front-end License</td>
                <td style="text-align: right;">PVU</td>
                <td style="text-align: right;">Nodes</td>
                <td style="text-align: right;">Objects</td>
            </tr>
            <xsl:apply-templates select="serverutilization_row"/>
            <tr class="headerRow">
                <td>
                    Summarization
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="prim_pools_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="back_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="front_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="pvu_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="nodes_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="files_sum"/>
                </td>
            </tr>
        </table>
    </xsl:template>
    <xsl:template match="serverutilization_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="7"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="prim_pools"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="back_end"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="front_end"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="pvu"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="sumnodes"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="files"/>
            </td>
        </tr>
    </xsl:template>
    <!--===========================================================================-->
    <xsl:template match="reporttpl-list">
        <div class="cssbr">&#160;</div>

        <table class="mainTable">
            <tr class="headerTab">
                <td><xsl:value-of select="server_name"/>&#160;&#160;&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="name"/>&#160;-&#160;<xsl:value-of select="description"/></td>
            </tr>
            <tr>
                <td>
                    <xsl:value-of select="result" disable-output-escaping="yes"/>
                </td>
            </tr>
        </table>
    </xsl:template>

    <xsl:template match="reporttpl">
        <div class="cssbr">&#160;</div>

        <table class="mainTable">
            <tr class="headerTab">
                <td><xsl:value-of select="name"/>&#160;-&#160;<xsl:value-of select="description"/></td>
            </tr>
        </table>

        <xsl:choose>
            <xsl:when test="rows !=''">
                <table class="mainTable">
                    <xsl:apply-templates select="header"/>
                    <xsl:apply-templates select="rows"/>
                </table>
            </xsl:when>
            <xsl:otherwise>
                <table class="mainTable">
                    <tr class="headerOK">
                        <td>Empty</td>
                    </tr>
                </table>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="header">
        <tr class="headerRow">
            <xsl:apply-templates select="name_header"/>
        </tr>
    </xsl:template>
    <xsl:template match="name_header">
        <td>
            <xsl:value-of select="."/>
        </td>
    </xsl:template>

    <xsl:template match="rows">
        <xsl:apply-templates select="row"/>
    </xsl:template>
    <xsl:template match="row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td colspan="{separator/@span}"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <xsl:apply-templates select="name_row"/>
        </tr>
    </xsl:template>
    <xsl:template match="name_row">
        <td>
            <xsl:if test="@nowrap">
                <xsl:attribute name="nowrap"/>
            </xsl:if>
            <xsl:value-of select="."/>
        </td>
    </xsl:template>


    <xsl:template match="expnodes">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="7">Expiration Period for Nodes less 5 days</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Domain</td>
                <td>Nodes</td>
                <td>Platform</td>
                <td>Address</td>
                <td style="text-align: right;">Remain days</td>
                <td>Password Set Date/Time</td>
            </tr>
            <xsl:apply-templates select="expnodes_row"/>
        </table>
    </xsl:template>
    <xsl:template match="expnodes_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="domain_name"/>
            </td>
            <td>
                <xsl:value-of select="node_name"/>
            </td>
            <td>
                <xsl:value-of select="platform_name"/>
            </td>
            <td>
                <xsl:value-of select="tcp_address"/>
                <xsl:if test="tcp_name !=''">[<xsl:value-of select="tcp_name"/>]
                </xsl:if>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="passexp"/>
            </td>
            <td>
                <xsl:value-of select="pwset_time"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="newnodes">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="7">New Nodes for the last
                    <xsl:value-of select="lasthour"/>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Domain</td>
                <td>Nodes</td>
                <td>Platform</td>
                <td>Address</td>
                <td>Reg.Date</td>
                <td>Administrator</td>
            </tr>
            <xsl:apply-templates select="newnodes_row"/>
        </table>
    </xsl:template>
    <xsl:template match="newnodes_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="domain_name"/>
            </td>
            <td>
                <xsl:value-of select="node_name"/>
            </td>
            <td>
                <xsl:value-of select="platform_name"/>
            </td>
            <td>
                <xsl:value-of select="tcp_address"/>
                <xsl:if test="tcp_name !=''">[<xsl:value-of select="tcp_name"/>]
                </xsl:if>
            </td>
            <td>
                <xsl:value-of select="reg_time"/>
            </td>
            <td>
                <xsl:value-of select="reg_admin"/>
            </td>
        </tr>
    </xsl:template>

</xsl:stylesheet>
