<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8"/>

	<xsl:template match="table">
		<html>
			<head>
				<title>Export table</title>
				<style>
					body{
					    font-family:arial, verdana, sans-serif;
					    color:#000066;
					}</style>
				<style>
					table{
					    border:1px;
					    font-size:75%;
					    text-align:center;
					    padding:0;
					    border-collapse:collapse;
					    width:100%;
					}</style>

				<style>
					.headerTab{
					    text-align:left;
					    background-color:#ACBDD0;
					    font-weight:bold;
					    font-size:100%;
					    white-space:nowrap;
					}</style>
				<style>
					.headerRow{
					    font-weight:bold;
					    text-align:center;
					    background-color:#f6ffd5;
					    font-size:100%;
					}</style>
				<style>
					td{
						border:1px solid #929292;
					    padding:2px;
					    text-align:left;
					}</style>

				<style>
					.row{
					    background-color:#f1f1f1;
					}</style>

			</head>
			<body>
				<div style="font-weight: bold; text-decoration:underline; width:100%;">Export table
					[ <xsl:value-of select="name_table"/> ] for <xsl:value-of select="name_server"/>
					at <xsl:value-of select="create_date"/></div>
				<div style="font-size: 75%; text-align: center;">
					<xsl:value-of select="name_request"/>
				</div>
				<table width="100%">
					<xsl:apply-templates select="header"/>
					<xsl:apply-templates select="rows"/>
				</table>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="header">
		<tr class="headerRow">
			<td style="white-space:nowrap">#</td>
			<xsl:apply-templates select="name_header"/>
		</tr>
	</xsl:template>
	<xsl:template match="name_header">
		<td nowrap="">
			<xsl:value-of select="."/>
		</td>
	</xsl:template>

	<xsl:template match="rows">
		<xsl:apply-templates select="row"/>
	</xsl:template>
	<xsl:template match="row">
		<tr class="row">
			<td>
				<xsl:value-of select="@index"/>
			</td>
			<xsl:apply-templates select="name_row"/>
		</tr>
	</xsl:template>
	
	<xsl:template match="name_row">
		<td>
			<xsl:if test="@nowrap">
				<xsl:attribute name="style">white-space:nowrap</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="." disable-output-escaping="yes"/>
		</td>
	</xsl:template>

</xsl:stylesheet>
