<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" encoding="UTF-8"/>

    <xsl:template match="table">
        <html>
            <head>
                <title>Export table</title>
                <style>
                    body{
                        font-family:arial, verdana, sans-serif;
                        color:#000066;
                    }</style>
                <style>
                    table{
                        border: 0px;
                        width:100%;
                        font-size:6pt;
                    }
                </style>
                <style>
                    @page {
                    margin: 4pt 4pt;
                    size: A4 landscape;
                    }
                </style>

                <style>
                    .headerTab{
                        text-align:left;
                        background-color:#ACBDD0;
                        font-weight:bold;
                        font-size:6pt;
                    }</style>
                <style>
                    .headerRow{
                        font-weight:bold;
                        text-align:center;
                        background-color:#f6ffd5;
                        font-size:6pt;
                        white-space:nowrap;
                    }</style>
                <style>
                    td{
                        padding:1px;
                        text-align:left;
                        font-size:6pt;
                    }</style>

                <style>
                    .row{
                        background-color:#f1f1f1;
                    }
                </style>

            </head>
            <body>
                <div style="font-size: 6pt; font-weight: bold; width:100%;">Export table [ <xsl:value-of select="name_table"/> ] for <xsl:value-of select="name_server"/> at <xsl:value-of select="create_date"/></div>
                <div style="font-size: 6pt; text-align: center;">
                    <xsl:value-of select="name_request"/>
                </div>
                <table width="100%">
                    <xsl:apply-templates select="header"/>
                    <xsl:apply-templates select="rows"/>
                </table>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="header">
        <tr class="headerRow">
            <td style="text-align: right; white-space:nowrap;">#</td>
            <xsl:apply-templates select="name_header"/>
        </tr>
    </xsl:template>
    <xsl:template match="name_header">
        <td style="white-space:nowrap">
            <xsl:value-of select="."/>
        </td>
    </xsl:template>

    <xsl:template match="rows">
        <xsl:apply-templates select="row"/>
    </xsl:template>
    <xsl:template match="row">
        <tr class="row">
            <td style="text-align: right;">
                <xsl:value-of select="@index"/>
            </td>
            <xsl:apply-templates select="name_row" />
        </tr>
    </xsl:template>
    
    <xsl:template match="name_row">
        <td>
            <xsl:if test="@nowrap">
                <xsl:attribute name="style">white-space:nowrap;</xsl:attribute>
            </xsl:if>
             <xsl:if test="@width">
                <xsl:attribute name="width"><xsl:value-of select="@width" /></xsl:attribute>
            </xsl:if>
            <xsl:value-of select="." disable-output-escaping="yes"/>
        </td>
    </xsl:template>

</xsl:stylesheet>
